Jump to content


Photo

libssl.so.1.1 gevraagd t.b.v. Oscambuild

Openpli oscam

  • Please log in to reply
14 replies to this topic

#1 mimisiku

  • Senior Member
  • 3,876 posts

+71
Good

Posted 17 February 2021 - 21:01

Wie heeft er voor mij de libssl.so.1.1 uit OpenPli 8.0?
Met één been in het graf..... Helaas

Re: libssl.so.1.1 gevraagd t.b.v. Oscambuild #2 catastrofus

  • Senior Member
  • 2,968 posts

+36
Good

Posted 17 February 2021 - 22:17

Bij deze.

 

Attached Files


2 x ultimo4k (dvb-c fbc + 1 dvb-s2, 8.0r) + een et10k (geen tuners en dus fallbackclient, develop) met een Synology ds214+ (2 x 6 TB) ziggo oost (voormalig @Home) + A1/A2/A3/HB (TechniSat)
 


Re: libssl.so.1.1 gevraagd t.b.v. Oscambuild #3 Sagitarius

  • Senior Member
  • 2,720 posts

+38
Good

Posted 17 February 2021 - 22:37

Wie heeft er voor mij de libssl.so.1.1 uit OpenPli 8.0?

Die zit gewoon in Simplebuild

 

Attached File  ssl.JPG   45.24KB   2 downloads

 

Heb net de laatste binary 11685 gebakken die goed werkt in de Ultimo4k onder Pli8.0 ;)


Edited by Sagitarius, 17 February 2021 - 22:40.


Re: libssl.so.1.1 gevraagd t.b.v. Oscambuild #4 mimisiku

  • Senior Member
  • 3,876 posts

+71
Good

Posted 18 February 2021 - 08:05

Dat klopt @Sagitarius, alleen draait de gecompileerde OScam dan niet. Geeft op OpenPli dan 'can not load shared object libssl.so.1.1. File not found... De ln truc werkt dan niet... Vandaar de vraag.... Dank....
Met één been in het graf..... Helaas

Re: libssl.so.1.1 gevraagd t.b.v. Oscambuild #5 Sagitarius

  • Senior Member
  • 2,720 posts

+38
Good

Posted 18 February 2021 - 09:22

Dat klopt @Sagitarius, alleen draait de gecompileerde OScam dan niet. Geeft op OpenPli dan 'can not load shared object libssl.so.1.1. File not found... De ln truc werkt dan niet... Vandaar de vraag.... Dank....

Dan doe je toch iets niet goed, als je de "vuduo4k_arm'' toolchain gebruikt loopt ie als een trein met eigen bepaalde opties aan, je moet dus niet de ''solo4k'' toolchain gebruiken die werkt idd niet. :mellow:

Met de instellingen zoals in mijn screenshot werkte het in 1 keer goed, ook voor de ''mipsoe20'' (niet de openpli40!!) werkt het prima die doet het in alle vu's en mijn Zgemma h2h met een mips ook goed onder pli 8.0. ;) En mijn eigen binaries zijn net 700kb groot en zeer snel. :rolleyes:


Edited by Sagitarius, 18 February 2021 - 09:25.


Re: libssl.so.1.1 gevraagd t.b.v. Oscambuild #6 mimisiku

  • Senior Member
  • 3,876 posts

+71
Good

Posted 18 February 2021 - 10:12

Het compileren gaat ook prima, zonder fouten... Probleem was dat de libssl.so.1.1.1 op de box niet aanwezig bleek... Heb de box gewoon even vers geflashed en nu doet de build het prima... Heb meteen de libpcsc erbij gecompileerd, want die krengen kom ik ook nog wel eens tegen....
Eigenlijk een beetje 'dom' van mij... De benodigde libs staan ook gewoon na compilatie in de simplebuild directories (stond ik helemaal niet bij stil)... Alleen zoek je je een breuk waar die verstopt zitten....
Uiteraard nog bedankt voor je moeite.... Werkt als een zonnetje...

P.S.

Ik gebruik uitsluitend de vu+ ToolChain en niet die van de Han Solo 4K (staat er niet eens tussen)

Edited by mimisiku, 18 February 2021 - 10:14.

Met één been in het graf..... Helaas

Re: libssl.so.1.1 gevraagd t.b.v. Oscambuild #7 mimisiku

  • Senior Member
  • 3,876 posts

+71
Good

Posted 18 February 2021 - 10:24

Hmm, te laat om te editen...

Attached Files


Met één been in het graf..... Helaas

Re: libssl.so.1.1 gevraagd t.b.v. Oscambuild #8 Sagitarius

  • Senior Member
  • 2,720 posts

+38
Good

Posted 18 February 2021 - 13:32

Het compileren gaat ook prima, zonder fouten... Probleem was dat de libssl.so.1.1.1 op de box niet aanwezig bleek... Heb de box gewoon even vers geflashed en nu doet de build het prima... Heb meteen de libpcsc erbij gecompileerd, want die krengen kom ik ook nog wel eens tegen....
Eigenlijk een beetje 'dom' van mij... De benodigde libs staan ook gewoon na compilatie in de simplebuild directories (stond ik helemaal niet bij stil)... Alleen zoek je je een breuk waar die verstopt zitten....
Uiteraard nog bedankt voor je moeite.... Werkt als een zonnetje...

P.S.

Ik gebruik uitsluitend de vu+ ToolChain en niet die van de Han Solo 4K (staat er niet eens tussen)

Dat is niet mijn uitgangspunt geweest, ik wilde gewoon een binary die zo in pli8.0 gebruikt kan worden (waar libssl 1.1.1 al inzit ;) ), en ik niet in iedere stb symlinks hoef te maken of compat hoef te draaien.

De solo4k toolchain staat gewoon onderaan in de tc directory, maar zoals ik al schreef die werkt niet in een Ultimo4k, ik gebruik de vuduo4k_arm maar die toolchain moet je wel eerst even bouwen, dat duurt een dik halfuur maar dan staat ie ook in de toolchain lijst en kun je zo een binary compilen met libssl 1.1.1l.


Edited by Sagitarius, 18 February 2021 - 13:35.


Re: libssl.so.1.1 gevraagd t.b.v. Oscambuild #9 Tech

  • Forum Moderator
    PLi® Core member
  • 12,724 posts

+356
Excellent

Posted 18 February 2021 - 13:36

Ik heb die lib helemaal niet in mijn vu staan.....is het niet een symlink naar libssl.so.1.1 ?

-rwxr-xr-x    1 root     root        411840 Jan 12 16:53 libssl.so.1.1

Aan de rand van de afgrond is een stap voorwaarts niet altijd vooruitgang....

Re: libssl.so.1.1 gevraagd t.b.v. Oscambuild #10 Sagitarius

  • Senior Member
  • 2,720 posts

+38
Good

Posted 18 February 2021 - 13:38

 

Ik heb die lib helemaal niet in mijn vu staan.....is het niet een symlink naar libssl.so.1.1 ?

-rwxr-xr-x    1 root     root        411840 Jan 12 16:53 libssl.so.1.1

Pli noemt het so.1.1 maar het in Simplebuild is het gewoon een so.1.1.1l, in pli 7.3 zit nog 1.0.2. ;)


Edited by Sagitarius, 18 February 2021 - 13:41.


Re: libssl.so.1.1 gevraagd t.b.v. Oscambuild #11 WanWizard

  • PLi® Core member
  • 58,824 posts

+1,292
Excellent

Posted 18 February 2021 - 19:11

Het heeft niks te maken met "PLi noemt", 't ding heeft gewoon versie 1.1. En dat is anders dan 1.1.1, en die is weer anders dan 1.1.1l.

 

Ik hoop dat je weet wat je doet, door externe libraries op de box te zetten kun je andere dingen om zeep helpen, want die gaan deze library ook vinden...


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2+fallback), Octagon SF8008 (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

Because to health reasons, I will not be active online very often anymore.


Re: libssl.so.1.1 gevraagd t.b.v. Oscambuild #12 Sagitarius

  • Senior Member
  • 2,720 posts

+38
Good

Posted 18 February 2021 - 21:10

Het heeft niks te maken met "PLi noemt", 't ding heeft gewoon versie 1.1. En dat is anders dan 1.1.1, en die is weer anders dan 1.1.1l.

 

Ik hoop dat je weet wat je doet, door externe libraries op de box te zetten kun je andere dingen om zeep helpen, want die gaan deze library ook vinden...

Ik wel maar @Mimisiku kennelijk niet, die compiler libs staan gewoon in Simplebuild zelf, en verander daarom liever niets in de stb zelf om dezelfde reden als door jou genoemd. ;)

Mijn eigen binaries kan ik er nu zo in plempen zonder na te hoeven denken of het pli 7.3 of pli 8.0 is. :rolleyes:



Re: libssl.so.1.1 gevraagd t.b.v. Oscambuild #13 mimisiku

  • Senior Member
  • 3,876 posts

+71
Good

Posted 18 February 2021 - 21:26

Ja hoor, weet @mimisiku ook... Zie de post eerder terug.. Niks vreemde libs, gewoon uit Simplebuild, ToolChain VU+ armhf...
Werkt prima.... Vrouw zou niet blij zijn als ze geen TV kan kijken....
Met één been in het graf..... Helaas

Re: libssl.so.1.1 gevraagd t.b.v. Oscambuild #14 WanWizard

  • PLi® Core member
  • 58,824 posts

+1,292
Excellent

Posted 18 February 2021 - 21:30

Ik wel maar @Mimisiku kennelijk niet, die compiler libs staan gewoon in Simplebuild zelf, en verander daarom liever niets in de stb zelf om dezelfde reden als door jou genoemd. ;)

 

:thumbs-up:


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2+fallback), Octagon SF8008 (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

Because to health reasons, I will not be active online very often anymore.


Re: libssl.so.1.1 gevraagd t.b.v. Oscambuild #15 WanWizard

  • PLi® Core member
  • 58,824 posts

+1,292
Excellent

Posted 18 February 2021 - 21:32

Werkt prima.... Vrouw zou niet blij zijn als ze geen TV kan kijken....

 

Daarvoor hoef je niet zelf te compileren, dat doet de aangeleverde versie prima... ;)


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2+fallback), Octagon SF8008 (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

Because to health reasons, I will not be active online very often anymore.




Also tagged with one or more of these keywords: Openpli, oscam

0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users